Subject: Re: [PATCH v2 2/2] pack-objects: only perform verbatim reuse on the preferred pack

From: Junio C Hamano <[email-masked]>
Date: Fri, 22 Nov 2024 13:44:37 +0900

Taylor Blau <[email-masked]> writes:

> This regression comes from ca0fd69e37 (pack-objects: prepare
> `write_reused_pack_verbatim()` for multi-pack reuse, 2023-12-14), which
> incorrectly assumed that there would be no gaps in reusable regions of
> non-preferred packs.

I was reviewing the past release notes from this year, and saw this
snippet in the 2.44 release notes:

 * Streaming spans of packfile data used to be done only from a
   single, primary, pack in a repository with multiple packfiles.  It
   has been extended to allow reuse from other packfiles, too.

Essentially this two-patch series the change completely so we only
reuse pack data from the primary pack?

Thanks.